Create Tenant
Creates a tenant owned by the caller, with the given name, VAT status and modules; its email address and phone number start as the caller's. With practice (one of the caller's) or newPracticeName (a new practice, the caller its first member) it is created in that practice: granted to its members, and a contractor tenant files with the practice's default HMRC credentials. 400 for both; 404 for a practice the caller is not in; 409 for a practice managed in Sodium, and for any tenant outside a practice (or in a new one) when the caller is a member of a practice managed in Sodium: its clients are added in Sodium.
Request Body*
{
"name": "string",
"isVatRegistered": false,
"vatRegistrationNumber": "string",
"modules": [
"CisContractor"
],
"practice": "00000000-0000-0000-0000-000000000000"
}
Responses
201 Created
401 Unauthorized – Invalid or missing API key